# R Codes 2023-03-13
# Bus stop waiting cost function 
#
g=function(x)
{
  return(5*x^(3/2))
}
#
waitcost=function(l, T)
{
  n=rpois(1,l*T)
  u=runif(n,0,T)
  S=sort(u)
  C=sum(g(T-u))
  return(C)
}
N=10000
results=rep(0, N)
for (j in (1:N))
{
  results[j]=waitcost(10,10)
}
